ConditionalStyle (Freeplane API 1.11.7)
Description: declaration: package: org.freeplane.api, interface: ConditionalStyle

Package org.freeplane.api

# Interface ConditionalStyle

All Superinterfaces:
  `ConditionalStyleRO`

All Known Subinterfaces:
  `Proxy.ConditionalStyle`

public interface ConditionalStyle extends ConditionalStyleRO
Node's or map's conditional style

In the Manage Conditional Styles dialog, it's a row in the table.

See also `ConditionalStyles`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `moveTo(int position)`
  Moves the conditional style to the specified position
  `ConditionalStyle`
  `remove()`
  Removes the conditional style from the table
  `void`
  `setActive(boolean isActive)`
  `void`
  `setLast(boolean isLast)`
  In the Manage Conditional Styles dialog it's the Stop checkbox
  `void`
  `setScript(String script)`
  Sets a Groovy script as the Script Filter for this Conditional Style.
  `void`
  `setStyleName(String styleName)`

  ### Methods inherited from interface org.freeplane.api.ConditionalStyleRO

  `getConditionClassSimpleName, getScript, getStyleName, hasScriptCondition, isActive, isAlways, isLast`

- ## Method Details

  - ### setActive

    void setActive(boolean isActive)
    Since:
      1.11.1

  - ### setScript

    void setScript(String script)
    Sets a Groovy script as the Script Filter for this Conditional Style. script set to `null` means "always". If `ConditionalStyleRO.getConditionClassSimpleName()` is different from "ScriptCondition", setting script will change the condition type to ScriptCondition (aka Script Filter).
    Since:
      1.11.1

  - ### setStyleName

    void setStyleName(String styleName)
    Throws:
      `IllegalArgumentException` - when styleName is not found
    Since:
      1.11.1

  - ### setLast

    void setLast(boolean isLast)
    In the Manage Conditional Styles dialog it's the Stop checkbox
    Since:
      1.11.1

  - ### moveTo

    void moveTo(int position)
    Moves the conditional style to the specified position
    Throws:
      `IndexOutOfBoundsException` - if the position is out of range (position < 0 || position >= ConditionalStyles.size())
    Since:
      1.11.1

  - ### remove

    ConditionalStyle remove()
    Removes the conditional style from the table
    Returns:
      the removed ConditionalStyle
    Since:
      1.11.1